# Request an execution

{% hint style="warning" %}
**Pre-release** — The Intents Connect API is currently in development. If you're interested in early access, get in touch with the team.
{% endhint %}

## Create a quote-backed execution

> Creates or dry-runs a quote-backed execution. In non-dry mode the response includes the MPC intent payload that the frontend must sign. Bridge-in requests execute steps on the destination EVM chain after the 1click deposit succeeds. Out-operation requests execute steps on the origin EVM chain and transfer the resulting tokens to the 1click deposit address.

```json
{"openapi":"3.0.3","info":{"title":"Intents Connect API","version":"1.0"},"servers":[{"url":"https://intents-connect-alpha-api.aurora.dev"}],"paths":{"/api/v1/executions/{wallet}":{"post":{"description":"Creates or dry-runs a quote-backed execution. In non-dry mode the response includes the MPC intent payload that the frontend must sign. Bridge-in requests execute steps on the destination EVM chain after the 1click deposit succeeds. Out-operation requests execute steps on the origin EVM chain and transfer the resulting tokens to the 1click deposit address.","parameters":[{"description":"Origin wallet identifier. Supports EVM addresses, NEAR accounts, NEAR implicit accounts, and Solana base58 public keys.","in":"path","name":"wallet","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/controllers.createExecutionRequestDoc"}}},"description":"Execution request","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/controllers.executionObjectResponse"}}},"description":"Dry-run execution quote."},"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/controllers.executionObjectResponse"}}},"description":"Execution created and paired transaction prepared."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/controllers.errorResponse"}}},"description":"Bad Request"},"409":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/controllers.errorResponse"}}},"description":"Conflict"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/controllers.errorResponse"}}},"description":"Internal Server Error"},"502":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/controllers.errorResponse"}}},"description":"Bad Gateway"}},"summary":"Create a quote-backed execution","tags":["Executions"]}}},"components":{"schemas":{"controllers.createExecutionRequestDoc":{"properties":{"dry":{"type":"boolean"},"metadata":{"additionalProperties":{},"type":"object"},"outOperation":{"type":"boolean"},"quote":{"$ref":"#/components/schemas/controllers.createExecutionQuoteDoc"},"steps":{"items":{"$ref":"#/components/schemas/controllers.executionStepEVMDoc"},"type":"array"},"type":{"type":"string"},"version":{"type":"string"}},"type":"object"},"controllers.createExecutionQuoteDoc":{"properties":{"amount":{"type":"string"},"deadline":{"type":"string"},"destinationAsset":{"type":"string"},"originAsset":{"type":"string"},"recipient":{"type":"string"},"slippageTolerance":{"type":"integer"},"swapType":{"enum":["EXACT_INPUT","EXACT_OUTPUT"],"type":"string"}},"type":"object"},"controllers.executionStepEVMDoc":{"properties":{"functionSignature":{"type":"string"},"metadata":{"$ref":"#/components/schemas/controllers.stepMetadataDoc"},"parameters":{"items":{"type":"object"},"type":"array"},"to":{"type":"string"},"value":{"type":"string"}},"type":"object"},"controllers.stepMetadataDoc":{"properties":{"description":{"type":"string"},"name":{"type":"string"}},"type":"object"},"controllers.executionObjectResponse":{"properties":{"result":{"$ref":"#/components/schemas/controllers.executionDoc"}},"type":"object"},"controllers.executionDoc":{"properties":{"createdAt":{"type":"string"},"details":{"$ref":"#/components/schemas/controllers.executionDetailsDoc"},"executionMode":{"enum":["quote_with_steps","steps_only"],"type":"string"},"id":{"type":"string"},"metadata":{"additionalProperties":{},"type":"object"},"quote":{"$ref":"#/components/schemas/controllers.executionQuoteDoc"},"status":{"enum":["CREATED","DEPOSIT_PENDING","DEPOSIT_PROCESSING","OPERATION_PENDING","OPERATION_PROCESSING","SUCCESS","DEPOSIT_FAILED","OPERATION_FAILED","EXPIRED"],"type":"string"},"steps":{"items":{"$ref":"#/components/schemas/controllers.executionStepEVMDoc"},"type":"array"},"type":{"type":"string"},"version":{"type":"string"}},"type":"object"},"controllers.executionDetailsDoc":{"properties":{"estimatedTime":{"type":"string"},"intermediaryAddress":{"type":"string"},"messageSigned":{"type":"boolean"},"messageToSign":{"type":"string"},"networkFee":{"type":"string"},"payload":{"$ref":"#/components/schemas/controllers.signingPayloadDoc"},"signingStandard":{"enum":["raw_ed25519","nep413","erc191"],"type":"string"}},"type":"object"},"controllers.signingPayloadDoc":{"properties":{"payload_bytes_base64":{"type":"string"},"payload_json":{"type":"string"},"standard":{"enum":["raw_ed25519","nep413","erc191"],"type":"string"}},"type":"object"},"controllers.executionQuoteDoc":{"properties":{"amount":{"type":"string"},"amountIn":{"type":"string"},"amountInUsd":{"type":"string"},"amountOut":{"type":"string"},"amountOutUsd":{"type":"string"},"deadline":{"type":"string"},"depositAddress":{"type":"string"},"destinationAsset":{"type":"string"},"minAmountIn":{"type":"string"},"minAmountOut":{"type":"string"},"originAsset":{"type":"string"},"recipient":{"type":"string"},"swapType":{"enum":["EXACT_INPUT","EXACT_OUTPUT"],"type":"string"}},"type":"object"},"controllers.errorResponse":{"properties":{"error":{"type":"string"}},"type":"object"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.intents.aurora.dev/intents-connect/intents-connect-api-reference/request-an-execution.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
